/*
 * Copyright 2011 by Graz University of Technology, Austria
 * MOCCA has been developed by the E-Government Innovation Center EGIZ, a joint
 * initiative of the Federal Chancellery Austria and Graz University of Technology.
 *
 * Licensed under the EUPL, Version 1.1 or - as soon they will be approved by
 * the European Commission - subsequent versions of the EUPL (the "Licence");
 * You may not use this work except in compliance with the Licence.
 * You may obtain a copy of the Licence at:
 * http://www.osor.eu/eupl/
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the Licence is distributed on an "AS IS" basis,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the Licence for the specific language governing permissions and
 * limitations under the Licence.
 *
 * This product combines work with different licenses. See the "NOTICE" text
 * file for details on the various modules and licenses.
 * The "NOTICE" text file is part of the distribution. Any derivative works
 * that you distribute must include a readable copy of the "NOTICE" text file.
 */



package at.gv.egiz.stal.service;

import javax.jws.WebMethod;
import javax.jws.WebParam;
import javax.jws.WebResult;
import javax.jws.WebService;
import javax.jws.soap.SOAPBinding;
import javax.xml.bind.annotation.XmlSeeAlso;
import at.gv.egiz.stal.service.types.GetHashDataInputResponseType;
import at.gv.egiz.stal.service.types.GetHashDataInputType;
import at.gv.egiz.stal.service.types.GetNextRequestResponseType;
import at.gv.egiz.stal.service.types.GetNextRequestType;


/**
 * This class was generated by the JAX-WS RI.
 * JAX-WS RI 2.1.3-b02-
 * Generated source version: 2.1
 * 
 */
@WebService(name = "STALPortType", targetNamespace = "http://www.egiz.gv.at/wsdl/stal")
@SOAPBinding(parameterStyle = SOAPBinding.ParameterStyle.BARE)
@XmlSeeAlso({
    at.gv.egiz.stal.service.types.ObjectFactory.class
//    at.buergerkarte.namespaces.cardchannel.service.ObjectFactory.class
})
public interface STALPortType {


    /**
     * Initial connection, get the first request.
     * 
     * @param sessionId
     * @return
     *     returns at.gv.egiz.stal.service.types.GetNextRequestResponseType
     */
    @WebMethod
    @WebResult(name = "GetNextRequestResponse", targetNamespace = "http://www.egiz.gv.at/stal", partName = "part1")
    public GetNextRequestResponseType connect(
        @WebParam(name = "SessionId", targetNamespace = "http://www.egiz.gv.at/stal", partName = "part1")
        String sessionId);

    /**
     * Fetch the next request.
     * 
     * @param request
     * @return
     *     returns at.gv.egiz.stal.service.types.GetNextRequestResponseType
     */
    @WebMethod(operationName = "nextRequest")
    @WebResult(name = "GetNextRequestResponse", targetNamespace = "http://www.egiz.gv.at/stal", partName = "part1")
    public GetNextRequestResponseType getNextRequest(
        @WebParam(name = "GetNextRequest", targetNamespace = "http://www.egiz.gv.at/stal", partName = "part1")
        GetNextRequestType request);

    /**
     * Fetch the signed references corresponding to the previous SignatureRequest.
     * 
     * @param request
     * @return
     *     returns at.gv.egiz.stal.service.types.GetHashDataInputResponseType
     * @throws GetHashDataInputFault
     */
    @WebMethod
    @WebResult(name = "GetHashDataInputResponse", targetNamespace = "http://www.egiz.gv.at/stal", partName = "part1")
    public GetHashDataInputResponseType getHashDataInput(
        @WebParam(name = "GetHashDataInput", targetNamespace = "http://www.egiz.gv.at/stal", partName = "part1")
        GetHashDataInputType request)
        throws GetHashDataInputFault
    ;

}
